# Class DragSourceDropEvent

java.lang.Object
java.util.EventObject
java.awt.dnd.DragSourceEvent
java.awt.dnd.DragSourceDropEvent

All Implemented Interfaces:
  `Serializable`

public class DragSourceDropEvent extends DragSourceEvent
The `DragSourceDropEvent` is delivered from the `DragSourceContextPeer`, via the `DragSourceContext`, to the `dragDropEnd` method of `DragSourceListener`s registered with that `DragSourceContext` and with its associated `DragSource`. It contains sufficient information for the originator of the operation to provide appropriate feedback to the end user when the operation completes.

Since:
  1.2
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`DragSourceDropEvent(DragSourceContext dsc)`
Construct a `DragSourceDropEvent` for a drag that does not result in a drop.
`DragSourceDropEvent(DragSourceContext dsc, int action, boolean success)`
Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, and a `boolean` indicating if the drop was successful.
`DragSourceDropEvent(DragSourceContext dsc, int action, boolean success, int x, int y)`
Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, a `boolean` indicating if the drop was successful, and coordinates.

## Method Summary

Modifier and Type
Method
Description
`int`
`getDropAction()`
This method returns an `int` representing the action performed by the target on the subject of the drop.
`boolean`
`getDropSuccess()`
This method returns a `boolean` indicating if the drop was successful.

### Methods declared in class DragSourceEvent

`getDragSourceContext, getLocation, getX, getY`
Modifier and Type
Method
Description
`DragSourceContext`
`getDragSourceContext()`
This method returns the `DragSourceContext` that originated the event.
`Point`
`getLocation()`
This method returns a `Point` indicating the cursor location in screen coordinates at the moment this event occurred, or `null` if the cursor location is not specified for this event.
`int`
`getX()`
This method returns the horizontal coordinate of the cursor location in screen coordinates at the moment this event occurred, or zero if the cursor location is not specified for this event.
`int`
`getY()`
This method returns the vertical coordinate of the cursor location in screen coordinates at the moment this event occurred, or zero if the cursor location is not specified for this event.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### DragSourceDropEvent

public DragSourceDropEvent(DragSourceContext dsc, int action, boolean success)
Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, and a `boolean` indicating if the drop was successful. The coordinates for this `DragSourceDropEvent` are not specified, so `getLocation` will return `null` for this event.

The argument `action` should be one of `DnDConstants` that represents a single action. This constructor does not throw any exception for invalid `action`.

Parameters:
  `dsc` - the `DragSourceContext` associated with this `DragSourceDropEvent`
  `action` - the drop action
  `success` - a boolean indicating if the drop was successful
Throws:
  `IllegalArgumentException` - if `dsc` is `null`.
See Also:
  - `DragSourceEvent.getLocation()`

### DragSourceDropEvent

public DragSourceDropEvent(DragSourceContext dsc, int action, boolean success, int x, int y)
Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, a `boolean` indicating if the drop was successful, and coordinates.

The argument `action` should be one of `DnDConstants` that represents a single action. This constructor does not throw any exception for invalid `action`.

Parameters:
  `dsc` - the `DragSourceContext` associated with this `DragSourceDropEvent`
  `action` - the drop action
  `success` - a boolean indicating if the drop was successful
  `x` - the horizontal coordinate for the cursor location
  `y` - the vertical coordinate for the cursor location
Throws:
  `IllegalArgumentException` - if `dsc` is `null`.
Since:
  1.4

### DragSourceDropEvent

public DragSourceDropEvent(DragSourceContext dsc)
Construct a `DragSourceDropEvent` for a drag that does not result in a drop. The coordinates for this `DragSourceDropEvent` are not specified, so `getLocation` will return `null` for this event.

Parameters:
  `dsc` - the `DragSourceContext`
Throws:
  `IllegalArgumentException` - if `dsc` is `null`.
See Also:
  - `DragSourceEvent.getLocation()`

## Method Details

### getDropSuccess

public boolean getDropSuccess()
This method returns a `boolean` indicating if the drop was successful.

Returns:
  `true` if the drop target accepted the drop and successfully performed a drop action; `false` if the drop target rejected the drop or if the drop target accepted the drop, but failed to perform a drop action.

### getDropAction

public int getDropAction()
This method returns an `int` representing the action performed by the target on the subject of the drop.

Returns:
  the action performed by the target on the subject of the drop if the drop target accepted the drop and the target drop action is supported by the drag source; otherwise, `DnDConstants.ACTION_NONE`.